import Konva from "konva";

export const sljh=function (width,height){

  const layer=new Konva.Layer({
    id:'2',
    x:15,
    y:65,
  })
  layer.clipFunc(function(ctx) {
    ctx.rect(0, 0, width-30, height*0.2-60);
  });

  const imageObj = new Image();
  imageObj.src = require('@/assets/sliao/sljhbg.png');
  imageObj.onload = function () {
    const shape = new Konva.Image({
      x: 0,
      y: 0,
      width: width-30,
      height:189,
      image: imageObj,
    });
    layer.add(shape)
    shape.zIndex(0)
  }

  const group=new Konva.Group({
    x:0,
    y:0,
    width: width-30,
    height: height*0.2-60,
    draggable: true,
    dragBoundFunc:function (pos){
      return {
        x:pos.x,
        y:65
      }
    },
  });
  layer.add(group)
  group.zIndex(2)

  return {
    layer,group
  }
}
